Package ru.bitel.bgbilling.plugins.helpdesk.server.bean

# Class ParamManager

java.lang.Object
ru.bitel.bgbilling.plugins.helpdesk.server.bean.ParamManager

public class ParamManager extends Object
Класс для хранения пользовательских параметров для системы HelpDesk

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Connection`
  `con`
  `protected ru.bitel.bgbilling.kernel.plugin.server.BGPluginServer`
  `plugin`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ParamManager(Connection con, ru.bitel.bgbilling.kernel.plugin.server.BGPluginServer plugin)`
  Конструктор по умолчанию

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContractCurrentMode(int contractId)`
  `protected String`
  `getDBTableName(String name)`
  `List<ru.bitel.bgbilling.common.model.KeyValue>`
  `getModeList()`
  `Properties`
  `getProperties(int contractId)`
  Возращает все сохраненные параметры для заданного договора
  `void`
  `setProperties(int contractId, Properties properties)`
  Сохраняем в БД параметры для заданного договора.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### con

    protected Connection con

  - ### plugin

    protected ru.bitel.bgbilling.kernel.plugin.server.BGPluginServer plugin

- ## Constructor Details

  - ### ParamManager

    public ParamManager(Connection con, ru.bitel.bgbilling.kernel.plugin.server.BGPluginServer plugin)
    Конструктор по умолчанию
    Parameters:
      `con` - - коннект к БД
      `plugin` - - ссылка на объект с данными плагина

- ## Method Details

  - ### getDBTableName

    protected String getDBTableName(String name)

  - ### getModeList

    public List<ru.bitel.bgbilling.common.model.KeyValue> getModeList()

  - ### getContractCurrentMode

    public String getContractCurrentMode(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getProperties

    public Properties getProperties(int contractId) throws ru.bitel.bgbilling.common.BGException
    Возращает все сохраненные параметры для заданного договора
    Parameters:
      `contractId` - - код договора
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### setProperties

    public void setProperties(int contractId, Properties properties) throws ru.bitel.bgbilling.common.BGException
    Сохраняем в БД параметры для заданного договора. Все ранее сохраненные значения удаляются.
    Parameters:
      `contractId` - - код договора
      `properties` - - сохраняемые значения
    Throws:
      `ru.bitel.bgbilling.common.BGException`